Change log for pygobject-2 package in Ubuntu

119 of 19 results
Deleted in groovy-release (Reason: (From Debian) RoQA; python2-only; deprecated; no rdeps (t...)
Published in focal-release on 2020-02-18
Deleted in focal-proposed (Reason: moved to Release)
pygobject-2 (2.28.6-14ubuntu1) focal; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop the gtk-2.0-pysupport-compat.pth file.
    - Install libraries into the multiarch libdir.

Superseded in focal-release on 2020-02-18
Deleted in focal-proposed on 2020-02-19 (Reason: moved to Release)
pygobject-2 (2.28.6-12ubuntu7) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <email address hidden>  Sat, 08 Feb 2020 11:17:53 +0000
Superseded in focal-release on 2020-02-14
Deleted in focal-proposed on 2020-02-15 (Reason: moved to Release)
pygobject-2 (2.28.6-12ubuntu6) focal; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <email address hidden>  Sun, 12 Jan 2020 08:45:36 +0000
Superseded in focal-release on 2020-01-31
Deleted in focal-proposed on 2020-02-01 (Reason: moved to Release)
pygobject-2 (2.28.6-12ubuntu5) focal; urgency=medium

  * python-gobject-2-dev: Depend on python2-dev.

 -- Matthias Klose <email address hidden>  Sat, 11 Jan 2020 15:21:53 +0100
Superseded in focal-release on 2020-01-11
Deleted in focal-proposed on 2020-01-12 (Reason: moved to Release)
pygobject-2 (2.28.6-12ubuntu4) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <email address hidden>  Tue, 17 Dec 2019 12:40:27 +0000
Superseded in focal-release on 2019-12-18
Obsolete in eoan-release on 2020-12-29
Obsolete in disco-release on 2020-07-14
Obsolete in cosmic-release on 2020-07-13
Published in bionic-release on 2018-01-31
Superseded in bionic-release on 2018-01-31
Deleted in bionic-proposed (Reason: moved to release)
pygobject-2 (2.28.6-12ubuntu3) bionic; urgency=medium

  * No-change rebuild against latest pycairo

 -- Jeremy Bicha <email address hidden>  Wed, 22 Nov 2017 22:04:18 -0500
Superseded in bionic-release on 2017-11-25
Obsolete in artful-release on 2020-07-10
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2020-07-10 (Reason: moved to release)
pygobject-2 (2.28.6-12ubuntu2) zesty; urgency=medium

  * Sync build-arch fix from debian, thanks to Emilio Monfort (LP: #1679835).
  * Use --disable-silent-rules also as per debian.

 -- Robert Bruce Park <email address hidden>  Thu, 06 Apr 2017 17:11:50 -0700
Superseded in zesty-release on 2017-04-08
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2016-01-29
Deleted in xenial-proposed (Reason: moved to release)
pygobject-2 (2.28.6-12ubuntu1) xenial; urgency=medium

  * Build using dh-python, picking up multiarched module suffixes.
  * Install libraries into the multiarch libdir.
  * Drop the gtk-2.0-pysupport-compat.pth file.

 -- Matthias Klose <email address hidden>  Fri, 29 Jan 2016 02:08:16 +0100
Superseded in xenial-release on 2016-01-29
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2014-02-23
Deleted in trusty-proposed (Reason: moved to release)
pygobject-2 (2.28.6-12build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.
 -- Matthias Klose <email address hidden>   Sun, 23 Feb 2014 13:50:19 +0000
Superseded in trusty-release on 2014-02-23
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
pygobject-2 (2.28.6-12) unstable; urgency=low


  * Rebuild to use Python 2.7 by default. (Closes: #701972)
  * Bump Standards-Version to 3.9.4, no changes necessary.

 -- Martin Pitt <email address hidden>  Fri, 10 May 2013 08:19:32 +0200

Available diffs

Superseded in saucy-release on 2013-05-10
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
pygobject-2 (2.28.6-11) unstable; urgency=low


  * debian/control.in: Drop the "Provides: python2.6-gobject". There are no
    reverse dependencies anyway, and we don't encourage any new ones.
  * Add 00git_class_init.patch: Move property and signal creation into
    _class_init(). This allows old PyGTK applications to work with static
    PyGObject and GLib 2.35.x. (LP: #1129309)

 -- Martin Pitt <email address hidden>  Tue, 19 Feb 2013 16:19:52 +0100
Superseded in raring-release on 2013-02-20
Obsolete in quantal-release on 2015-04-24
pygobject-2 (2.28.6-10ubuntu2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.
 -- Colin Watson <email address hidden>   Mon, 08 Oct 2012 16:55:01 +0100
Superseded in quantal-release on 2012-10-08
Published in precise-release on 2012-04-14
pygobject-2 (2.28.6-10ubuntu1) precise; urgency=low

  * python-gobject-2: Don't hard code the python2.6-gobject-2 provides.
    LP: #979923.
 -- Matthias Klose <email address hidden>   Sat, 14 Apr 2012 14:05:27 +0200

Available diffs

Superseded in precise-release on 2012-04-14
pygobject-2 (2.28.6-10) unstable; urgency=low

  [ Josselin Mouette ]
  * Update repository URL.

  [ Martin Pitt ]
  * Add 00git_fix_qdata_warning.patch: Fix set_qdata warning on accessing NULL
    gobject property. Backported from upstream git.
  * Add 00git_gio_flag_type.patch: Fix definition of flag types. Backported
    from upstream git. (LP: #918607)
  * debian/copyright: Update to copyright format 1.0.
  * debian/control.in: Bump Standards-Version to 3.9.3.
 -- Martin Pitt <email address hidden>   Tue, 13 Mar 2012 18:52:21 +0100

Available diffs

Superseded in precise-release on 2012-03-13
pygobject-2 (2.28.6-9) unstable; urgency=high

  * Urgency high as this blocks the testing migration of g-i, pygobject, and
    others, and this is a trivial change.
  * debian/control.in: Add "Provides: python2.x-gobject" to python-gobject-2
    to also satisfy dependencies for packages which use the obsolete explicit
    dependencies, such as python-insanity. (Closes: #651824)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  16 Dec 2011 16:27:31 +0000

Available diffs

Superseded in precise-release on 2011-12-16
pygobject-2 (2.28.6-8) unstable; urgency=low

  * Upload to unstable
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  05 Dec 2011 11:03:37 +0000

Available diffs

Superseded in precise-release on 2011-12-05
pygobject-2 (2.28.6-7) experimental; urgency=low


  * debian/control.in, debian/rules: Rename python-gobject-dev to
    python-gobject-2-dev. pygobject 2.90 now also builds a python-gobject-dev
    which depends on python-gobject-2-dev.
  * debian/control.in: Fix "Conflicts/Breaks" pairs to actually be what I
    mean: "Breaks/Replaces".

 -- Martin Pitt <email address hidden>  Mon, 05 Sep 2011 07:49:29 +0200
Superseded in precise-release on 2011-10-21
Obsolete in oneiric-release on 2015-04-24
pygobject-2 (2.28.6-6svn1) oneiric; urgency=low

  Upload current Debian SVN head, while this is in Debian binNEW.

  * debian/control.in, debian/rules: Rename python-gobject-dev to
    python-gobject-2-dev. pygobject 2.90 now also builds a python-gobject-dev
    which depends on python-gobject-2-dev.
  * debian/control.in: Fix "Conflicts/Breaks" pairs to actually be what I
    mean: "Breaks/Replaces".
 -- Martin Pitt <email address hidden>   Mon, 05 Sep 2011 07:55:51 +0200

Available diffs

Superseded in oneiric-release on 2011-09-05
pygobject-2 (2.28.6-6) experimental; urgency=low

  * debian/copyright: Update to current licenses/copyrights, and convert to
    DEP-5.

119 of 19 results